Accepted samba 3.0.24-2ubuntu1 (source)

Kees Cook kees at
Wed Feb 7 05:50:38 GMT 2007

 OK: samba_3.0.24-2ubuntu1.dsc
     -> Component: main Section: net
 OK: samba_3.0.24.orig.tar.gz
 OK: samba_3.0.24-2ubuntu1.diff.gz

Hash: SHA1

Format: 1.7
Date: Tue,  6 Feb 2007 20:58:01 -0800
Source: samba
Binary: python-samba samba-doc-pdf samba-doc libsmbclient libpam-smbpass swat winbind smbclient samba libsmbclient-dev samba-common samba-dbg smbfs
Architecture: source
Version: 3.0.24-2ubuntu1
Distribution: feisty
Urgency: high
Maintainer: Debian Samba Maintainers <pkg-samba-maint at>
Changed-By: Kees Cook <kees at>
 libpam-smbpass - pluggable authentication module for SMB/CIFS password database
 libsmbclient - shared library that allows applications to talk to SMB/CIFS serve
 libsmbclient-dev - libsmbclient static libraries and headers
 python-samba - Python bindings that allow access to various aspects of Samba
 samba      - a LanManager-like file and printer server for Unix
 samba-common - Samba common files used by both the server and the client
 samba-dbg  - Samba debugging symbols
 samba-doc  - Samba documentation
 samba-doc-pdf - Samba documentation (PDF format)
 smbclient  - a LanManager-like simple client for Unix
 smbfs      - mount and umount commands for the smbfs (for kernels >= than 2.2.
 swat       - Samba Web Administration Tool
 winbind    - service to resolve user and group information from Windows NT ser
Closes: 403107 403353 408898
 samba (3.0.24-2ubuntu1) feisty; urgency=low
   * Merge from debian unstable, remaining changes:
     * debian/smb.conf:
       - Do not show the version number by default
       - Comment out the default [homes] shares and add more verbose comments to
         explain what they do and how they work (closes:
       - Add a "valid users = %S" stanza to the commented-out [homes] section,
         to show users how to restrict access to \\server\username to only
       - Change the (commented-out) "printer admin" example to use "@lpadmin"
         instead of "@ntadmin", since the lpadmin group is used for spool admin.
     * debian/panic-action:
       - Alter the panic-action script to encourage users to report their
         bugs in Ubuntu packages to Ubuntu, rather than reporting to Debian.
         Modify text to more closely match the Debian script
     * debian/samba-common.templates:
       - Set default workgroup to MSHOME
     * debian/control:
       - remove typehandling
       - add update-inetd to Depends
     * debian/patches/VERSION.patch:
       - set SAMBA_VERSION_VENDOR_SUFFIX to Ubuntu
     * debian/samba-common.config:
       - do not change priority to HIGH if dhclient3 is installed
     * debian/samba.init:
       - use of PIDDIR instead of hardcoding it
       - Munge our init script to deal with the fact that our implementation
         (or lack thereof) of log_daemon_msg and log_progress_msg differs
         from Debian's implementation of the same (Ubuntu #19691)
     * debian/rules:
       - remove type-handling
       - properly clean on make clean
       - do not install mount.cifs and umount.cifs as suid
     * debian/patches/ubuntu-auxsrc.patch:
       - some auxilliary sources (undocumented in previous changelogs)
     * Really drop debian/patches/ubuntu-fix-ldap.patch:
       - Fixed upstream, see Debian #274155
 samba (3.0.24-2) unstable; urgency=low
   * Re-upload with a proper .orig.tar.gz.
 samba (3.0.24-1) unstable; urgency=high
   * New upstream release, security update
   * Fixes for the following security advisories:
     - Directly affecting Debian:
       - CVE-2007-0452 (Potential Denial of Service bug in smbd)
     - Not affecting Debian:
       - CVE-2007-0453 (Buffer overrun in NSS host lookup Winbind
         NSS library on Solaris)
       - CVE-2007-0454 (Format string bug in VFS plugin)
   * Correct paths for the documentation pointers in the default smb.conf
     file. Thanks to Ted Percival for his care reporting this. Closes: #408898
 samba (3.0.23d-4) unstable; urgency=low
   * Debconf translation updates:
     - Slovenian added.
 samba (3.0.23d-3) unstable; urgency=low
   * Debconf translation updates:
     - Malayalam added. Closes: #403107
     - Tamil added. Closes: #403353
 55564dd264248b557456cfbbe6fe1692 1403 net optional samba_3.0.24-2ubuntu1.dsc
 89273f67a6d8067cbbecefaa13747153 17708128 net optional samba_3.0.24.orig.tar.gz
 d2c1d3fcda11d6b00d5f94f6bc579050 207093 net optional samba_3.0.24-2ubuntu1.diff.gz

Version: GnuPG v1.4.6 (GNU/Linux)


More information about the feisty-changes mailing list